---
title: MySQL REST Service - SDK Reference
---

This document explains how to work with the MRS Software Development Kit and discusses the Client API.

__Chapter Overview__

- [Introduction to the MRS SDK](#introduction-to-the-mrs-sdk)
- [Working with a REST Service](#working-with-a-rest-service)
- [Querying Data Across Tables](#querying-data-across-tables)
- [Contextual Fields and Parameters](#contextual-fields-and-parameters)
- [Read Your Writes Consistency](#read-your-writes-consistency)
- [Checking for NULL Column Values](#checking-for-null-column-values)
- [Working with Spatial Data Types](#working-with-spatial-data-types)
- [Authentication](#authentication)
- [TypeScript Client API Reference](#typescript-client-api-reference)
- [Python Client API Reference](#python-client-api-reference)

---

Please also see

- __[MySQL REST Service - Developer's Guide](index.html)__ - This book explains how to install and configure the MySQL REST Service (MRS) as well as how to access the data through REST calls.
- __[MySQL REST Service - Core REST APIs](restApi.html)__ - This book provides examples of using the MySQL REST Service queries and other operations against tables and views after you have REST-enabled them.
- __[MySQL REST Service - SQL Reference](sql.html)__ - This book discusses the MySQL REST Service SQL Extension.

---

!include sections/sdk/Introduction.md

!include sections/sdk/WorkingWithARESTService.md

!include sections/sdk/QueryingDataAcrossTables.md

!include sections/sdk/ContextualFieldsAndParameters.md

!include sections/sdk/ReadYourWrites.md

!include sections/sdk/CheckingForNullColumnValues.md

!include sections/sdk/WorkingWithSpatialDataTypes.md

!include sections/sdk/Authentication.md

!include sections/sdk/ClientAPITypeScript.md

!include sections/sdk/PythonAPIRef.md

Copyright (c) 2022, 2025, Oracle and/or its affiliates.
